Package org.apache.cxf.bus.extension

# Class ExtensionRegistry

java.lang.Object
org.apache.cxf.bus.extension.ExtensionRegistry

public final class ExtensionRegistry extends Object
Static registry of extensions that are loaded in addition to the extensions the Bus will automatically detect. Mostly used by the OSGi bundle activator to detect extensions in bundles outside the CXF bundle.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addExtensions(List<? extends Extension> list)`
  `static Map<String,Extension>`
  `getRegisteredExtensions()`
  `static void`
  `removeExtensions(List<? extends Extension> list)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getRegisteredExtensions

    public static Map<String,Extension> getRegisteredExtensions()

  - ### removeExtensions

    public static void removeExtensions(List<? extends Extension> list)

  - ### addExtensions

    public static void addExtensions(List<? extends Extension> list)